Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans
Class BeanUtils

    java.lang.Object
      datechooser.beans.BeanUtils

    public class BeanUtils

extends java.lang.Object

JavaBeans utilities.
Сервисный класс для JavaBean компонент.

Since:
  1.1
Author:
  Androsov Vadim

Constructor Summary
`BeanUtils()`

Method Summary
`static void` | `assignBean(DateChooserBean srcBean, DateChooserBean trgBean)` Sets target datechooser bean properties using source bean.
`static void` | `assignBean(java.lang.Object srcBean, java.lang.Object trgBean, java.beans.BeanInfo beanInfo)` Sets target bean properties using source bean.
`static DateChooserBean` | `cloneBean(DateChooserBean bean)` Clones datechooser javabean using default constructor.
`static java.lang.Object` | `cloneBean(java.lang.Object bean, java.beans.BeanInfo beanInfo)` Clones javabean using default constructor and BeanInfo class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanUtils

    public BeanUtils()

Method Detail

### assignBean

    public static void assignBean(DateChooserBean srcBean,
                                  DateChooserBean trgBean)

  Sets target datechooser bean properties using source bean.
  Устанавливает свойства целевого компонента свойствами исходного.

  Parameters:
    `srcBean` - Source bean.
    Исходный компонент.
    `trgBean` - Target bean.
    Компонент, свойства которого нужно установить.
  Since:
    1.1

### cloneBean

    public static DateChooserBean cloneBean(DateChooserBean bean)

  Clones datechooser javabean using default constructor.
  Клонирует компонент используя конструктор по умолчанию.

  Parameters:
    `bean` - Bean to clone.
    Компонент для клонирования.
  Returns:
    Cloned bean.
    Клонированный компонент.
  Since:
    1.1

### cloneBean

    public static java.lang.Object cloneBean(java.lang.Object bean,
                                             java.beans.BeanInfo beanInfo)

  Clones javabean using default constructor and BeanInfo class.
  Клонирует компонент используя конструктор по умолчанию и класс BeanInfo.

  Parameters:
    `bean` - Bean to clone.
    Компонент для клонирования.
    `beanInfo` - BeanInfo class.
    Информационный класс компонента.
  Returns:
    Cloned bean.
    Клонированный компонент.
  Since:
    1.1

### assignBean

    public static void assignBean(java.lang.Object srcBean,
                                  java.lang.Object trgBean,
                                  java.beans.BeanInfo beanInfo)

  Sets target bean properties using source bean.
  Устанавливает свойства целевого компонента свойствами исходного.

  Parameters:
    `srcBean` - Source bean.
    Исходный компонент.
    `trgBean` - Target bean.
    Компонент, свойства которого нужно установить.
    `beanInfo` - BeanInfo class.
    Информационный класс компонента.
  Since:
    1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD